/*
 File: testout_err_symbols.h
 Date and Time: Mon Jun  9 08:45:19 2014 
*/
#include "yacco2.h"
#include "testout_T_enumeration.h"
#include "yacco2_k_symbols.h"
#ifndef __testout_err_symbols_h__
#define __testout_err_symbols_h__ 1
namespace NS_testout_err_symbols{
  using namespace NS_testout_T_enum;
  struct Err_no_cmd_lne_data:public yacco2::CAbs_lr1_sym{
    Err_no_cmd_lne_data();
  };
  struct Err_no_filename:public yacco2::CAbs_lr1_sym{
    Err_no_filename();
  };
  struct Err_bad_filename:public yacco2::CAbs_lr1_sym{

		public:
		Err_bad_filename(std::string& File_name);
		Err_bad_filename(const char* File_name);
		std::string* file_name();
		private:
			std::string file_name_;
	
  };
  struct Err_bad_T_inputted:public yacco2::CAbs_lr1_sym{
    Err_bad_T_inputted();
  };
}//namespace
#endif
